Subject: bug#76107: Consider image specs when scanning for a column

From: Thuna <[email-masked]>
Date: Sat, 08 Feb 2025 19:56:45 +0100

> Maybe you are right.  But anyway, this is not the main point I was
> trying to make.  The main point is that using image-size is not
> accurately reproduce the actual horizontal coordinate on the screen.
>
> Can you tell why you need image support in current-column and friends?
> E.g., why posn-col-row and vertical-motion cannot do what you need?

I'm trying to get fill-paragraph (and visual-fill-column-mode) to work
properly in Org buffers with lots of previewed inline latex fragments.
fill-paragraph internally uses move-to-column, so that's what I'm
patching.  This isn't limited to Org, though.  Better image handling (or
at all) by default is a good thing to have in general.